Intersector (Apache CXF API 2.3.9 API)
Keywords: org.apache.cxf.ws.policy.Intersector class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.policy
Class Intersector

    java.lang.Object
      org.apache.cxf.ws.policy.Intersector

    public class Intersector

extends Object

This class contains methods dealing with policy intersection. Intersection of two assertions, i.e. computation if a compatible assertion, is domain specific and relies on AssertionBuilder.buildCompatible. See Section 4.5 in http://www.w3.org/TR/2006/WD-ws-policy-20061117.

Constructor Summary
`Intersector(AssertionBuilderRegistry abr)`

Method Summary
`Collection<PolicyAssertion>` | `intersect(Collection<PolicyAssertion> alt1, Collection<PolicyAssertion> alt2)`
`PolicyAssertion` | `intersect(PolicyAssertion a1, PolicyAssertion a2)`
`org.apache.neethi.Policy` | `intersect(org.apache.neethi.Policy p1, org.apache.neethi.Policy p2)`
`boolean` | `isStrict()`
`void` | `setStrict(boolean s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Intersector

    public Intersector(AssertionBuilderRegistry abr)

Method Detail

### isStrict

    public boolean isStrict()

### setStrict

    public void setStrict(boolean s)

### intersect

    public PolicyAssertion intersect(PolicyAssertion a1,
                                     PolicyAssertion a2)

### intersect

    public Collection<PolicyAssertion> intersect(Collection<PolicyAssertion> alt1,
                                                 Collection<PolicyAssertion> alt2)

### intersect

    public org.apache.neethi.Policy intersect(org.apache.neethi.Policy p1,
                                              org.apache.neethi.Policy p2)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF